INTERFACE
 SUBROUTINE ARO_ADJUST(KLON,KLEV, KRR, KTCOUNT,&
 & OSUBG_COND, OSIGMAS, OSUBG_AUCV,&
 & PTSTEP, PZZF, PRHODJ, PEXNREF,&
 & PPABSM, PTHT, PRT, PSIGS,&
 & PMFCONV, PRC_MF, PCF_MF,&
 & PTHS, PRS, PSRCS, PCLDFR) 
USE PARKIND1  ,ONLY : JPIM     ,JPRB
INTEGER(KIND=JPIM), INTENT(IN) :: KLON
INTEGER(KIND=JPIM), INTENT(IN) :: KLEV
INTEGER(KIND=JPIM), INTENT(IN) :: KRR
INTEGER(KIND=JPIM), INTENT(IN) :: KTCOUNT
LOGICAL, INTENT(IN) :: OSUBG_COND
LOGICAL, INTENT(IN) :: OSIGMAS
LOGICAL, INTENT(IN) :: OSUBG_AUCV
REAL(KIND=JPRB), INTENT(IN) :: PTSTEP
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PZZF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PRHODJ
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PEXNREF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PPABSM
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PTHT
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,KRR), INTENT(INOUT) :: PRT
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PSIGS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PMFCONV
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(IN) :: PRC_MF,PCF_MF
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PTHS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2,KRR), INTENT(INOUT) :: PRS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(OUT) :: PSRCS
REAL(KIND=JPRB), DIMENSION(KLON,1,KLEV+2), INTENT(INOUT) :: PCLDFR
END SUBROUTINE ARO_ADJUST
END INTERFACE
